/// <reference types="node" />
export interface PubSubMessage {
    /** The base64-encode PubSub message */
    data?: string;
}
/**
 * Decode a PubSub message.
 * @param message The PubSub message.
 * @param parser The message parser (defaults to {@see JSON.parse}); other string to data might be supplied.
 */
export declare function decodePubSubMessage<T>(message: PubSubMessage, parser?: (raw: string) => T): T;
/**
 * Encode a PubSub message.
 * @param data The data to encode.
 */
export declare function encodePubSubMessage<T>(data: T): Buffer;
